Bug 966574 - "growpart" spits out a non-fatal error message on systems where partx does not support the "--help" option
"growpart" spits out a non-fatal error message on systems where partx does no...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: cloud-utils (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juerg Haefliger
Fedora Extras Quality Assurance
:
: 966558 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 09:45 EDT by Jan van Eldik
Modified: 2013-12-20 11:52 EST (History)
2 users (show)

See Also:
Fixed In Version: cloud-utils-0.27-10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 11:52:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan van Eldik 2013-05-23 09:45:57 EDT
"growpart" spits out a non-fatal error message on systems where
partx does not support the "--help" option.

# /usr/bin/growpart /dev/vda 1
partx: unrecognized option '--help'
unknown option

This is with:

# rpm -qf /usr/bin/growpart
cloud-utils-0.27-3.el6.noarch

A trivial patch quiesces the script:

--- /usr/bin/growpart   2013-05-23 15:26:15.585033492 +0200
+++ /usr/bin/growpart-  2013-05-23 15:26:41.795992384 +0200
@@ -448,7 +448,7 @@
        fi
 
        if command -v partx >/dev/null 2>&1; then
-               partx --help 2>/dev/null | grep -q -- --update || {
+               partx --help | grep -q -- --update || {
                        reason="partx has no '--update' flag in usage."
                        found="off"
                }
Comment 1 Juerg Haefliger 2013-11-22 04:50:40 EST
*** Bug 966558 has been marked as a duplicate of this bug. ***
Comment 2 Fedora Update System 2013-11-22 05:09:53 EST
cloud-utils-0.27-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cloud-utils-0.27-10.el6
Comment 3 Fedora Update System 2013-11-22 21:37:28 EST
Package cloud-utils-0.27-10.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cloud-utils-0.27-10.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12172/cloud-utils-0.27-10.el6
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-12-20 11:52:22 EST
cloud-utils-0.27-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.